package com.ruoyi.app.service.impl;

import com.ruoyi.app.domain.TbAppUser;
import com.ruoyi.app.domain.vo.AppMemberVo;
import com.ruoyi.app.mapper.TbAppUserMapper;
import com.ruoyi.app.service.ITbAppUserService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * 会员Service业务层处理
 *
 * @author Alex
 * @date 2020-09-24
 */
@Service
public class TbAppUserServiceImpl extends ServiceImpl<TbAppUserMapper, TbAppUser> implements ITbAppUserService {

    /**
     * 获取所有未删除状态的会员信息列表
     * @return
     */
    @Override
    public List<AppMemberVo> selectAppMembers(){

        return baseMapper.selectAppMembers();
    }
}
